#! /bin/sh
# sortm - front end to MH sortm command, run from xmh
# appends logging information to $HOME/sortm.log first
# use subshell to gather all command output, stdout and stderr:
(date
echo "args are: $0 $*"
echo "environment has:"
printenv) >> $HOME/sortm.log 2>&1

# run the real command with exec, so this script
# (and the shell that runs it) can exit now:
exec /usr/local/mh/sortm $*
